'  
'   Rebex Sample Code License
' 
'   Copyright 2026, REBEX CR s.r.o.
'   All rights reserved.
'   https://www.rebex.net/
' 
'   Permission to use, copy, modify, and/or distribute this software for any
'   purpose with or without fee is hereby granted.
' 
'   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
'   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
'   OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
'   NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
'   HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
'   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
'   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
'   OTHER DEALINGS IN THE SOFTWARE.
' 

Imports System
Imports Rebex.Net

' This sample asks a time server for time and calculates its difference
' from time on the local machine.
Class GetTimeDifference

    Public Shared Sub Main()
            ' set the trial license key
            Rebex.Licensing.Key = Rebex.Samples.TrialKey.Key


        Dim args() As String = System.Environment.GetCommandLineArgs()

        If args.Length <> 2 Then
            Console.WriteLine("Usage: TimeGetTimeDifference server.name")
            Console.WriteLine("Example: TimeGetTimeDifference test.rebex.net")
            Return
        End If

        Dim client As New Ntp(args(1))
        Dim offset As TimeSpan = client.GetTime().TimeOffset.ToTimeSpan()
        If offset.Ticks >= 0 Then
            Console.WriteLine("Server's time is {0} seconds before local time.", offset.TotalSeconds)
        Else
            Dim ats As New TimeSpan(-offset.Ticks)
            Console.WriteLine("Server's time is {0} seconds behind local time.", ats.TotalSeconds)
        End If
    End Sub

End Class